🎉 🎉. RAPIDMINER 9.8 IS OUT!!! 🎉 🎉

RapidMiner 9.8 continues to innovate in data science collaboration, connectivity and governance

CLICK HERE TO DOWNLOAD

Help in building jar file of RapidMiner

ajrisalvadorajrisalvador Member Posts: 7 Contributor I
edited March 2019 in Help
Good day, I'm a relatively new to Java, git, and Gradle. I want to use RapidMiner in Netbeans for a Thesis Prototype.

When I try to build the jar file of RapidMiner, I get this error:

<div>C:\rapidminer-studio-core&gt;gradlew jar
Downloading </div><div>..............................................................................................................................</div><div>
Unzipping C:\Users\desktop-pc\.gradle\wrapper\dists\gradle-5.3-all\a2o9bs8pjyp10tdbmwhtqkmvn\gradle-5.3-all.zip to C:\Users\desktop-pc\.gradle\wrapper\dists\gradle-5.3-all\a2o9bs8pjyp10tdbmwhtqkmvn</div><div>
Starting a Gradle Daemon, 1 incompatible Daemon could not be reused, use --status for details</div><div><br></div><div>FAILURE: Build failed with an exception.</div><div><br></div><div>* 
Where:</div><div>Build file 'C:\rapidminer-studio-core\build.gradle' line: 12</div><div><br></div><div>* What went wrong:</div><div>A problem occurred evaluating root project 'rapidminer-studio-core'.</div><div>
&gt;Failed to apply plugin [id 'com.rapidminer.java-basics']</div><div>&nbsp; &nbsp;
&gt; Could not find method leftShift() for arguments [com.rapidm[email protected]ae214d4] on task ':updateTestTimestamps' of type org.gradle.api.DefaultTask.</div><div><br></div><div>* Try:</div><div>Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.</div><div><br></div><div>* Get more help at </div><div><br></div><div>BUILD FAILED in 4m 23s</div>

What I've tried so far:
  • Edit the gradle-wrapper.properties and set distributionUrl=https\://services.gradle.org/distributions/gradle-5.3-all.zip
  • Downgrade to JDK 1.8

Immediate help is needed. Thanks!

Tagged:

Best Answer

  • ajrisalvadorajrisalvador Member Posts: 7 Contributor I
    Solution Accepted
    I solved it by:

    Downgrading to JDK 1.8
    AND
    Edit the gradle-wrapper.properties and set distributionUrl=https\://services.gradle.org/distributions/gradle-4.0.1-bin.zip
    sgenzermschmitz
Sign In or Register to comment.